dbXML API

## com.dbxml.db.enterprise.jsp
Class CollectionTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          com.dbxml.db.enterprise.jsp.CollectionTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.IterationTag, java.io.Serializable, javax.servlet.jsp.tagext.Tag

public class CollectionTag
extends javax.servlet.jsp.tagext.TagSupport

CollectionTag creates a reference to a CollectionClient.
Example:

       <dbxml:collection name="myCol" connection="myCon" path="/somecollection"/>

See Also:
  Serialized Form

Field Summary

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`CollectionTag()`

Method Summary
`int` `doStartTag()`
`java.lang.String` `getConnection()`
`java.lang.String` `getName()`
`java.lang.String` `getPath()`
`void` `setConnection(java.lang.String connection)`
`void` `setName(java.lang.String name)`
`void` `setPath(java.lang.String path)`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, release, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CollectionTag

    public CollectionTag()

Method Detail

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getConnection

    public java.lang.String getConnection()

### setConnection

    public void setConnection(java.lang.String connection)

### getPath

    public java.lang.String getPath()

### setPath

    public void setPath(java.lang.String path)

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Throws:
    `javax.servlet.jsp.JspException`

dbXML API

Copyright (c) 2004 The dbXML Group